Subject: [mobile-ip] RFC 2002 SPI bug

From: [email-masked]
Date: Mon, 12 Nov 2001 17:56:57 -0600

Hello,

I was looking through the mailing list archives and I can't quite
find what I'm looking for.  Apparently section 3.5.1 of 2002 does
not include the SPI in the authentication hash, but it is common
practice to include the SPI.  I've gathered this from reading the
message in this link:

http://playground.sun.com/pub/mobile-ip/WG-archive/frm02527.html

(Apologies if I'm not reading this correctly...I've made a couple of
assumptions here...)

However, I have not found a reason as to why such a change has
been made.  Can anyone tell me:

- Why the SPI should be in the hash
- If there are any known issues if the SPI does not appear in the hash

Thanks,
Mike

---

From: Michael Thomas <[email-masked]>
Date: Tue, 13 Nov 2001 08:17:47 -0800 (PST)

> - Why the SPI should be in the hash

  With IKE, the SPI is used to make certain that
  you don't generate the same keying material
  twice for a given main mode SA since the SPI is
  generally random. If I recall correctly, a well
  known SPI is being used for MIP so you'd just
  be adding a constant which isn't helpful. The
  real question to ask is whether the same key is
  ever regenerated across keying operations. If
  so, there's a problem.

	      Mike